; cmucs-modes.ml
;
; various mode-string stuff
;
(declare-buffer-specific &old-mode-string)
(declare-buffer-specific &mode-was-set)

(defun
    (set-read-only
	(if (! read-only)
	    (progn (setq read-only 1)
		   (setq &old-mode-string mode-string)
		   (setq mode-string "RO")
		   (setq &mode-was-set 1)
	    )
	    (progn (setq read-only 0)
		   (if &mode-was-set
		       (setq mode-string &old-mode-string))
	    )
	)
    )
    (not-modified-buffer
	(setq buffer-is-modified 0)
    )
    (revert-file here
	(setq here (+ (dot)))
	(read-file (current-file-name))
	(goto-character here)
	(novalue)
    )
    (scribe-mode-hook
	(remove-local-binding "\ec")
	(local-bind-to-key "cite" "\^Xc")
	(remove-local-binding "\el")
	(remove-local-binding "\^X\^L")
	(local-bind-to-key "apply-look" "\e@")
	(remove-local-binding "\ei")
	(local-bind-to-key "index-entry" "\^Xi")
	(remove-local-binding "\es")
	(local-bind-to-key "&scribe-command" "\^Xb")
    )
)
