; cmucs-smart.ml
;
; transposing and case inversion behave differently at the end
; of a line vs. in the middle of one.

(defun
    (lower-smart
	(provide-prefix-argument prefix-argument (case-word-lower))
	(if (! (eolp))
	    (provide-prefix-argument prefix-argument
		(forward-word-beginning)
	    )
	)
    )

    (upper-smart
	(provide-prefix-argument prefix-argument (case-word-upper))
	(if (! (eolp))
	    (provide-prefix-argument prefix-argument
		(forward-word-beginning)
	    )
	)
    )

    (capitalize-smart
	(provide-prefix-argument prefix-argument (case-word-capitalize))
	(if (! (eolp))
	    (provide-prefix-argument prefix-argument
		(forward-word-beginning)
	    )
	)
    )

    (transpose-smart
	(if (eolp)
	    (transpose-characters)
	    (progn
		(forward-character)
		(transpose-characters)
		(backward-character)
	    )
	)
    )

    (transpose-word-smart
	(if (eolp)
	    (transpose-word)
	    (progn
		(forward-word)
		(transpose-word)
		(backward-word)
	    )
	)
    )
)
