;---------------------------------------------------------------------------
;NAME
;   mouse.ml -- support for the mouse on the PERQ
;
;SYNOPSIS
;   mouse-set-dot
;   mouse-set-mark
;
;KEY BINDINGS
;   See below
;
;DESCRIPTION
;   This is a rudimentary support package for the PERQ's 4-button mouse.
;
;HISTORY
;   04-July-84 Eric S. Raymond at Rabbit Software
;	Added this documentation header.
;
;---------------------------------------------------------------------------

(defun (mouse-set-dot but x y
	   (setq but (get-tty-character))
	   (setq x (- (get-tty-character) 33))
	   (setq y (- (get-tty-character) 33))
	   (move-dot-to-x-y x y)
	   (if (= but '0') (button-0)
	       (= but '1') (button-1)
	       (= but '2') (button-2)
	       (button-3))
       ))

(defun (mouse-set-mark
	   (set-mark)
	   (message "Mark set")))

(bind-to-key "mouse-set-dot" "\eM")
(define-string-macro "button-0" "\^XA")
(define-string-macro "button-1" "\^XB")
(define-string-macro "button-2" "\^XC")
(define-string-macro "button-3" "\^XD")
(bind-to-key "next-page" "\^XA")
(bind-to-key "mouse-set-mark" "\^XB")
(bind-to-key "previous-page" "\^XC")
(bind-to-key "novalue" "\^XD")
(if (= (getenv "TERM") "perq") (send-string-to-terminal "\e\035\061"))

; mouse.ml ends here -------------------------------------------------------
