;
; grep.ml
; written by :	Stephen J. Friedl
;		Kent State University
;		17-Feb-84
;
; This function is the interface to the grep program from within
; Emacs.  It is not very clean, but it appears to work.  It prompts
; for a pattern and a list of files.  It then calls up /bin/grep
; with the given arguments and /dev/null at the end.  This is necessary
; because otherwise grep won't print the filename in the message line
; if there is only one file specified.  This just forces the filename
; display.
;
;
(defun
    (grep pattern files cmd
	(setq pattern (arg 1 ": pattern "))
	(if (= (length pattern) 0)
	    (error-message "missing pattern to grep"))
	(setq files (arg 2 ": files "))
	(if (= (length pattern) 0)
	    (error-message "missing filenames to grep"))
	(setq cmd (concat "/bin/grep -n " pattern " " files))
	(write-modified-files)
	(pop-to-buffer "Error log")
	(setq needs-checkpointing 0)
	(erase-buffer)
	(beginning-of-file)
	(set-mark)
	(setq mode-line-format (concat "       Executing: " cmd))
	(sit-for 0)
	(fast-filter-region (concat cmd " /dev/null"))
	(parse-grep-output)
	(novalue)
    )
;
; convert grep messages to Emacs format so we can next-error them
;
    (parse-grep-output looping pattern
	(pop-to-buffer "Error log")
	(setq pattern "^.*:[0-9][0-9]*:")
	(beginning-of-file)
	(setq looping 1)
	(while looping
	    (if (error-occurred (re-search-forward pattern))
		(setq looping 0)
	        (progn
		    (beginning-of-line)
		    (insert-character '"')
		    (re-search-forward ":[0-9]")
		    (backward-character)
		    (delete-previous-character)
		    (insert-string "\", line ")
		)
	    )
	)
	(beginning-of-file)
	(set-mark)
	(end-of-file)
	(parse-error-messages-in-region)
    )
)
