; @(#)tand.ml	1.10
;
; Previously bound keys will be rebound as listed below.
;
(use-global-map "default-global-keymap")
;
; Inhibit binding to "^S/^Q" to allow flow control.
;
(setq xon/xoff-flow-control 1)
(bind-to-key "novalue" "\^S")
(bind-to-key "novalue" "\^Q")

(bind-to-key "search-forward" "\es")
;
(define-keymap "ctrl-right-bracket-prefix")
(define-keymap "ctrl-circumflex-prefix")
(progn i
	; Keep all control-key mappings performed in "profile.ml".
	(setq i ' ')
	(while (< i 0177)
		(bind-to-key "self-insert" i)
		(setq i (+ i 1))
	)
)
;
; Tandberg function key mappings
; Tandberg TDV 2220 key layout for Global Logic, Inc. keyboard.
;
(bind-to-key "ctrl-right-bracket-prefix" "\^]")
(bind-to-key "ctrl-circumflex-prefix" "\^^")

(use-global-map "ctrl-right-bracket-prefix")
(bind-to-key "beginning-of-line" "@") ; a47
(bind-to-key "next-line" "A") ; a48
(bind-to-key "end-of-line" "B") ; a49
(bind-to-key "backward-character" "C") ; b47
(bind-to-key "set-mark" "D") ; b48
(bind-to-key "forward-character" "E") ; b49
(bind-to-key "scroll-one-line-up" "F") ; c47
(bind-to-key "previous-line" "G") ; c48
(bind-to-key "scroll-one-line-down" "H") ; c49
(bind-to-key "backward-word" "I") ; d47
(bind-to-key "copy-region-to-buffer" "J") ; d48
(bind-to-key "forward-word" "K") ; d49
(bind-to-key "backward-sentence" "L") ; e47
(bind-to-key "exchange-dot-and-mark" "M") ; e48
(bind-to-key "forward-sentence" "N") ; e49
(bind-to-key "backward-paragraph" "O") ; f47
(bind-to-key "visit-file" "P") ; f48
(bind-to-key "forward-paragraph" "Q") ; f49
(bind-to-key "previous-page" "R") ; g47
(bind-to-key "switch-character-set" "S") ; g48
(bind-to-key "next-page" "T") ; g49

(bind-to-key "delete-next-character" "Y") ; e14

(bind-to-key "execute-extended-command" "U") ; e51
(bind-to-key "page-next-window" "V") ; e52
(bind-to-key "write-modified-files" "W") ; e53
(bind-to-key "write-file-exit" "X") ; e54

(bind-to-key "case-word-capitalize" "`") ; g9
(bind-to-key "case-word-upper" "a") ; g10
(bind-to-key "case-word-lower" "b") ; g11
(bind-to-key "transpose-characters" "c") ; g12

(bind-to-key "swap-character-sets" "d") ; g52
(bind-to-key "delete-other-windows" "e") ; g53

(use-global-map "ctrl-circumflex-prefix")
(bind-to-key "search-reverse" "@") ; A47
(bind-to-key "end-of-file" "A") ; A48
(bind-to-key "search-forward" "B") ; A49
(bind-to-key "dot-to-left-margin" "C") ; B47
(bind-to-key "dot-to-centre" "D") ; B48
(bind-to-key "dot-to-right-margin" "E") ; B49
(bind-to-key "previous-window" "F") ; C47
(bind-to-key "beginning-of-file" "G") ; C48
(bind-to-key "next-window" "H") ; C49
(bind-to-key "delete-previous-word" "I") ; D47
(bind-to-key "delete-to-killbuffer" "J") ; D48
(bind-to-key "delete-next-word" "K") ; D49
(bind-to-key "yank-buffer" "L") ; E47
(bind-to-key "insert-file" "M") ; E48
(bind-to-key "yank-from-killbuffer" "N") ; E49
(bind-to-key "beginning-of-window" "O") ; F47
(bind-to-key "delete-buffer" "P") ; F48
(bind-to-key "end-of-window" "Q") ; F49
(bind-to-key "enlarge-window" "R") ; G47
(bind-to-key "line-to-top-of-window" "S") ; G48
(bind-to-key "shrink-window" "T") ; G49

(bind-to-key "return-to-monitor" "U") ; E51
(bind-to-key "justify-paragraph" "V") ; E52
(bind-to-key "delete-window" "W") ; E53
(bind-to-key "exit-emacs" "X") ; E54

(bind-to-key "case-region-capitalize" "`") ; G9
(bind-to-key "case-region-upper" "a") ; G10
(bind-to-key "case-region-lower" "b") ; G11
(bind-to-key "transpose-word" "c") ; G12

(use-global-map "default-global-keymap")
;
; Tandberg support routines.
;
(setq-default English 0)
(setq-default Spanish 1)
(setq-default Character-Set English)
(defun
    (swap-character-sets
	(if (= Character-Set English)
	    (progn (setq-default Character-Set Spanish)
		(send-string-to-terminal "\^N")
	    )
	    (progn (setq-default Character-Set English)
		(send-string-to-terminal "\^O")
	    )
	)
	(redraw-display)
    )
)
