;------------------------------------------------------------------------
; vterm.ml		support for the VTERM terminal emulator
;
;SYNOPSIS
;   shifted-function-key	-- return value of nth shifted pf key
;   metaed-function-key		-- return value of nth metaed pf key
;
;KEY BINDINGS
;   beginning-of-file			^^
;
;DESCRIPTION
;   This package loads the vt100.ml vt100 support package and does a few
;extra bindings to support the VTERM terminal emulator running on the
;IBM PC.
;
;BUGS
;   The shifted- and alt- function keys can only be programmed from the
;VTERM setup screen. You'll have to make sure they match the ones
;generated here.
;
;------------------------------------------------------------------------

(load "vt100.ml")

(bind-to-key "beginning-of-file" "\^^")

(defun
    (shifted-function-key
	(concat "\eO" (char-to-string (+ (arg 1) '`')))
    )
    (metaed-function-key
	(concat "\eO" (char-to-string (+ (arg 1) 'D')))
    )
)
; vterm.ml ends here ----------------------------------------------------
